C This may not be easy because...
	parameter(maxsize=9000)
	dimension bech(maxsize,maxsize)
	dimension ix(3)
	integer axlen(7),dtype
	character*80 image,errmsg
	do 1 i=1,maxsize
	do 1 j=1,maxsize
	bech(i,j)=0.
1	continue
	image="temp.imh"
	call imopen(image,1,im,ier)
	if(ier.ne.0) go to 91
	call imgsiz(im,axlen,naxis,dtype,ier)
	if(ier.ne.0) go to 91
	nx=axlen(1)
	ny=axlen(2)
	if(nx.gt.maxsize) stop "image too big"
	if(ny.gt.maxsize) stop "image too big"
	call imgl2s(im,bech,1,nx,1,ny,ier)
	if(ier.ne.0) go to 91
C OK, let's find the thing in the middle
	ik=0
	do 3 j=ny-1000-20,ny-1000+20,20
	do 2 i=3500,4500
C Look for 25 consecutive satured pixels
	ia=0
	write(6,*) bech(i,j)
	if (bech(i,j).gt.4.95e4) then
	ia=ia+1
	else
	ia=0
	end if
	if(ia.eq.25) then
	ik=ik+1
	ix(ik)=i
	go to 3
	end if
2	continue
3	continue
	write(6,4) ix
4	format('Values for ix:',3i7)
	stop
91 	call imemsg(ier,errmsg)
	write(6,92) errmsg
92	format('Bummer!:',a80)
	stop
	end
